WordPress.org

Support

Support » Plugins and Hacks » [Resolved] It is not working with wordpress 3.8.1

[Resolved] It is not working with wordpress 3.8.1

  • rpress1971
    Member

    @rpress1971

    Hello,

    When I finalize the installation the following message appears: “The plugin generated 2635 characters of unexpected output during activation. If you notice “headers already sent” messages, problems with syndication feeds or other issues, try deactivating or removing this plugin”.

    And on top of the plugin page appears the following code: “‘H:i’, ‘date-format’ => ‘d.m.Y’ ); /* unset default if setting already set */ foreach ( $default_settings as $key => $value ) if ( op_get_setting( $key ) ) unset( $default_settings[ $key ] ); /* apply remaining settings */ $wp_opening_hours = new OpeningHours; $wp_opening_hours->applySettings( $default_settings ); } register_activation_hook( __FILE__, ‘op_activate’ ); ?>”.

    Could you help me please!

    Thanks,

    https://wordpress.org/plugins/wp-opening-hours/

Viewing 10 replies - 1 through 10 (of 10 total)
  • I have the same problem?, Do you have the answer?. Thanks

    In my case, it installs but only shows the message “Closed”. I have yet specified opening hours.

    Plugin Author janizde
    Member

    @janizde

    Hi you all,
    this problem is likely caused by the default-settings implementation which currently works via an activation hook. I will move this to the OpeningHours class, then it shouldn’t be a problem anymore.
    I think that your php config causes this problem as it may not support the ‘<?’ Opening Tags for php but only the ‘<?php’

    ExtraPaul
    Participant

    @extrapaul

    Same problem with WordPress 3.9.

    This issue is still present in 3.9, it does work if you enable short_open_tag in php.ini but it would be better to do a global fix on the plugin itself.

    davilajoelr
    Member

    @davilajoelr

    I am having the same issue as well.

    ‘H:i’, ‘date-format’ => ‘d.m.Y’ ); /* unset default if setting already set */ foreach ( $default_settings as $key => $value ) if ( op_get_setting( $key ) ) unset( $default_settings[ $key ] ); /* apply remaining settings */ $wp_opening_hours = new OpeningHours; $wp_opening_hours->applySettings( $default_settings ); } register_activation_hook( __FILE__, ‘op_activate’ ); ?>

    Jan Dembowski
    Volunteer Mod. & Brute Squad

    @jdembowski

    Per the forum welcome if you need assistance please start your own topic.

    https://wordpress.org/support/plugin/wp-opening-hours#postform

    davilajoelr
    Member

    @davilajoelr

    It is still the same topic with the same problem unless u are wanting the same problem spread across multiple topics

    Plugin Author janizde
    Member

    @janizde

    I’m currently working on 2.0 and I don’t use the short opening tags anymore.

    valentinus
    Member

    @valentinus

    Any word on the status of this? I’m presently using the plugin on WP version 3.9.1 and receive the same error as described above:

    ‘H:i’, ‘date-format’ => ‘d.m.Y’ ); /* unset default if setting already set */ foreach ( $default_settings as $key => $value ) if ( op_get_setting( $key ) ) unset( $default_settings[ $key ] ); /* apply remaining settings */ $wp_opening_hours = new OpeningHours; $wp_opening_hours->applySettings( $default_settings ); } register_activation_hook( __FILE__, ‘op_activate’ ); ?>

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘[Resolved] It is not working with wordpress 3.8.1’ is closed to new replies.